GET
/vector_db/
curl --request GET \ --url 'https://api.e2enetworks.com/myaccount/api/v1/gpu/vector_db/?project_id=<PROJECT_ID>&location=<LOCATION>&apikey=<API_KEY>' \ --header 'Authorization: Bearer <API_TOKEN>'import requests
response = requests.get( "https://api.e2enetworks.com/myaccount/api/v1/gpu/vector_db/", params={"project_id": "<PROJECT_ID>", "location": "<LOCATION>", "apikey": "<API_KEY>"}, headers={"Authorization": "Bearer <API_TOKEN>"},)print(response.json())const url = new URL("https://api.e2enetworks.com/myaccount/api/v1/gpu/vector_db/");url.search = new URLSearchParams({ project_id: "<PROJECT_ID>", location: "<LOCATION>", apikey: "<API_KEY>" });
const response = await fetch(url, { method: "GET", headers: { "Authorization": "Bearer <API_TOKEN>" },});console.log(await response.json());Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”project_id
required
integer
Project ID
active_iam
integer
Active IAM ID (To access contact person account) Find your Active IAM ID here
location
required
string
Location
page_no
integer
The page number from which you want your page search results to be displayed.
per_page
integer
Number of results per page
Responses
Section titled “Responses”Vector database instances retrieved successfully
Media typeapplication/json
object
code
integer
message
string
data
Array<object>
object
id
integer
name
string
disk_size
integer
status
string
created_by
object
id
integer
name
string
email
string
username
string
created_at
string format: date-time
updated_at
string format: date-time
vectordb_type
string
dashboard_url
string
custom_sku
string
errors
object
total_page_number
integer
total_count
integer
Example
{ "code": 200, "message": "Success", "data": [ { "id": 327, "name": "tir-qdrant-0709120fd5ghh1616", "disk_size": 30, "status": "Running", "created_by": { "id": 3573, "name": "Nipun", "email": "nipun.arora@e2enetworks.com", "username": "nipun.arora@e2enetworks.com" }, "created_at": "2024-11-14T05:42:58.096699Z", "updated_at": "2024-11-14T05:43:44.062600Z", "vectordb_type": "Qdrant", "dashboard_url": "https://327v04a82908-vectordatabase.e2enetworks.net:6333/dashboard", "custom_sku": null } ], "errors": {}, "total_page_number": 1, "total_count": 1}